byzanz (0.3.0+git20160312-4) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Do not export -Wl,--as-needed because Debian 11 supports it by default.

 -- Markus Koschany <apo@debian.org>  Fri, 27 Nov 2020 02:06:47 +0100

byzanz (0.3.0+git20160312-3) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.0.
  * Move the package to salsa.debian.org.
  * Drop README.source because the project is now officially dead. Clarify the
    situation in debian/watch.
  * Remove get-orig-source target. Update Source field in debian/copyright.

 -- Markus Koschany <apo@debian.org>  Wed, 15 Aug 2018 22:34:16 +0200

byzanz (0.3.0+git20160312-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.2.
  * d/copyright: Use https for Format field.
  * Remove dh-autoreconf from Build-Depends because it is automatically added
    with compat level 10.
  * Remove source/local-options file.
  * Add remove-deprecated-gnome-common-macros.patch. (Closes: #830011)

 -- Markus Koschany <apo@debian.org>  Mon, 04 Dec 2017 01:53:13 +0100

byzanz (0.3.0+git20160312-1) unstable; urgency=medium

  * New upstream version 0.3.0+git20160312.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Wed, 07 Dec 2016 11:14:03 +0100

byzanz (0.3.0+git20160107-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+git20160107.
  * Vcs-Git: Use https.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Jan 2016 21:20:10 +0100

byzanz (0.3.0+git20151213-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+git20151213.
  * Update my e-mail address.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Dec 2015 22:26:50 +0100

byzanz (0.3.0+git20150701-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+git20150701.
  * Add no-Werror.patch and do not use -Werror flag for release versions.
    This prevents that byzanz fails to build from source due to deprecation
    warnings which are currently not fatal. Thanks to Mattia Rizzolo for the
    report. (Closes: #791910)
  * Vcs-Browser field: Switch to cgit.

 -- Markus Koschany <apo@gambaru.de>  Thu, 09 Jul 2015 16:39:44 +0200

byzanz (0.3.0+git20140619-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+git20140619.
  * Fix lintian warning space-in-std-shortname-in-dep5-copyright.
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@gambaru.de>  Mon, 29 Sep 2014 16:21:24 +0200

byzanz (0.3.0+git20140223-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+git20140223.
  * Depend on gstreamer1.0-plugins-base, gstreamer1.0-plugins-good and
    gstreamer1.0-libav.
    In order to record flash or webm videos these packages are mandatory.
    Thanks to Thorsten Glaser for the report (Closes: #748848)
  * Use dh-autoreconf instead of autotools-dev.
  * Ensure that byzanz can be built twice in a row. Add clean file.

 -- Markus Koschany <apo@gambaru.de>  Sun, 25 May 2014 08:48:20 +0200

byzanz (0.3.0+git20140123-1) unstable; urgency=medium

  * Imported Upstream version 0.3.0+git20140123.
  * Disable panel applet and remove build dependency on libpanel-applet-4-0
    since building the obsolete GNOME 2 applet is now optional. From now on
    byzanz is only a command line tool.
  * Update get-orig-source target.
  * Remove export DH_OPTIONS from debian/rules.
  * Declare compliance with Debian policy 3.9.5.
  * Add audio.patch. Fix broken audio record feature (-a) and allow byzanz to
    record audio input again. (Closes: #723898)
  * Add watch file and explain why there is nothing to watch.
  * Update README.Debian and package description and mention that the GNOME 2
    applet was disabled.
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Tue, 04 Feb 2014 14:33:23 +0100

byzanz (0.3.0+git20130319-2) unstable; urgency=low

  * [62dad8f] Add Fix-FTBFS-because-of-Wcast-align-error-flag.patch
    - Byzanz still fails to build from source on armel, armhf, mips,
      mipsel and ia64. This is a temporary solution until a real fix can be
      implemented.

 -- Markus Koschany <apo@gambaru.de>  Fri, 10 May 2013 00:10:46 +0200

byzanz (0.3.0+git20130319-1) unstable; urgency=low

  * [3f68333] Imported Upstream version 0.3.0+git20130319
    - Fixes FTBFS because of gnu_printf format attribute error.
      (Closes: #707380). Thanks to Lucas Nussbaum for the report.
  * [2b2bc18] Update to use the current canonical Vcs-URI.
  * [44eb766] Update README.source.
    - Simplify README.source and point to the new get-orig-source target.
  * [3373f39] Add get-orig-source target.
  * [a606689] Delete byzanz.1. It is shipped by upstream now.
  * [d866d2f] Drop all patches. They are merged upstream.
  * [b43867f] Update copyright years.
  * [6b9be1d] Switch to gstreamer-1.0.
    - Replace Build-Depends on libgstreamer-0.10 with libgstreamer-1.0.
  * [04c7563] Remove manpages file. The man page is installed by upstream.
  * [2184c36] Drop libgconf2-dev from Build-Depends.
    - Byzanz has been ported from GConf to GSettings thus the build dependency
      on libgconf2-dev is no longer necessary.

 -- Markus Koschany <apo@gambaru.de>  Thu, 09 May 2013 20:03:36 +0200

byzanz (0.3.0+git20120930-1) unstable; urgency=low

  * New Maintainer. (Closes: #654614)
  * New Upstream git snapshot which adds various translations.
  * Switch to packaging format 3.0 (quilt).
  * Create patches instead of modifying the sources.
    - Remove config.sub and config.guess and add them automatically with
      autotools-dev.
    - Incorporate the last NMUs and create proper patches for them.
    - Add patches from Jari Aalto again which were overwritten by the last
      NMUs.
    - Point out in byzanz-record manpage that byzanz supports webm.
  * debian/rules:
    - Simplify debian/rules by using dh.
    - Build with parallel and hardening+=all.
    - Build with -Wl, --as-needed to avoid unnecessary dependencies.
  * debian/control:
    - Add autotools-dev to Build-Depends.
    - Homepage field: Point to upstream's git repository because the old
      homepage does not exist anymore.
    - Byzanz will be maintained in a Debian git repo from now on. Add
      corresponding Vcs-fields. (Closes: #685358)
    - Description: Make clear that Byzanz is an applet and command line tool.
    - New Standards-Version 3.9.4.
  * Bump compat level to 9.
  * Add a short introductory manpage for Byzanz which points to byzanz-record
    and byzanz-playback. (Closes: #606673)
  * Improve README.Debian and make clear where you can find the panel applet.
    Create examples in case you can only use the command line tools.
    (Closes: #606676)
  * Fix the wrong command name in byzanz-playback's synopsis. (Closes: #641663)
  * Update debian/copyright to copyright format 1.0.
  * Update the license to GPL-3+, LGPL-3+ and Public Domain where necessary.

 -- Markus Koschany <apo@gambaru.de>  Sun, 02 Oct 2012 18:09:11 +0200

byzanz (0.2.2+git22.10.2011-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gtk 3.4 (Closes: #666231)
    - pick commit 3924af from upstream
    - use gtk_widget_get_preferred_size and gtk_render_background
      instead of their deprecated counterparts

 -- Etienne Millon <etienne.millon@gmail.com>  Wed, 25 Jul 2012 17:35:33 +0200

byzanz (0.2.2+git22.10.2011-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * configure.ac:
    - removed -Wcast-align error flag to prevent a FTBFS
      on sparc, mips, mipsel, armel and ia64. I didn't introduce
      a patch system since I'm not byzanz's maintainer, so
      for future uploaders please remember this change to avoid
      a regression.

 -- Andrea Veri <and@debian.org>  Mon, 24 Oct 2011 21:55:59 +0200

byzanz (0.2.2+git22.10.2011-1.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * New upstream's git snapshot release.
    (ID: f311238484df73b0cc75d679fe17e78d1ab07e2b)
  * debian/control:
    - libgtk bumped to libgtk-3-dev. (byzan has been ported to GTK3)
    - libpanel-applet bumped to libpanel-applet-4-dev for the
      gnome-panel-3 transition. (Closes: #638075)

 -- Andrea Veri <and@debian.org>  Sat, 22 Oct 2011 12:20:00 +0200

byzanz (0.2.2-4) unstable; urgency=low

  * Improve manpages (Closes: #606734, #606733), thanks Jari Aalto for the
    patches!

 -- Bastian Venthur <venthur@debian.org>  Sat, 25 Dec 2010 14:04:43 +0100

byzanz (0.2.2-3) unstable; urgency=low

  * Fix "FTBFS on several archs: Removed -Werror flags for non-release builds
    in configure.ac (Closes: #592831)

 -- Bastian Venthur <venthur@debian.org>  Fri, 13 Aug 2010 12:59:13 +0200

byzanz (0.2.2-2) unstable; urgency=low

  * New upstream git snapshot
  * Fix "byzanz - FTBFS: undefined reference to `gst_caps_new_from_string'"
    (Closes: #583828)
  * Adds raw audio support for FLV files
  * Adds various translations

 -- Bastian Venthur <venthur@debian.org>  Fri, 02 Jul 2010 10:19:49 +0200

byzanz (0.2.2-1) unstable; urgency=low

  * New upstream version (various translation updates)

 -- Bastian Venthur <venthur@debian.org>  Sat, 19 Jun 2010 12:45:23 +0200

byzanz (0.2.1-1) unstable; urgency=low

  * New upstream release (git tag 2.1) (Closes: #568874)
    - Allow recording audio with Theora video.
    - Add an internal debugging format
    - Cache recording on disk. Slow encoders will not consume all memory
      anymore.
    - Rework the user interface
    - Support saving to Ogg Theora and Flash Screen video formats
    - Update to latest technologies (Cairo instead of GDK, gvfs instead of
      gnome-vfs)
    - Work on 16bpp and 8bpp displays (anything that's supported by Cairo)
    - Properly be translucent on panels
  * Added VCS-git field to debian/control
  * Bumped standards version
  * Removed watch file
  * Removed .menu file

 -- Bastian Venthur <venthur@debian.org>  Tue, 04 May 2010 12:46:27 +0200

byzanz (0.1.1-4) unstable; urgency=low

  * Bumped standards version
  * Fixed usage of Homepage field (Closes: #420433)
  * Fixed spelling error in description

 -- Bastian Venthur <venthur@debian.org>  Wed, 26 Mar 2008 12:53:27 +0100

byzanz (0.1.1-3) unstable; urgency=low

  * Fixed Typos in package description (Closes: #392161)
  * Updated maintainer field
  * Removed Loic from uploaders, thanks for the sponsoring buddy!

 -- Bastian Venthur <venthur@debian.org>  Wed, 18 Oct 2006 19:36:09 +0200

byzanz (0.1.1-2) unstable; urgency=low

  * Fixed location of CreativeCommons license
  * Made sure dh_gconf is called in debian/rules

 -- Bastian Venthur <mail@venthur.de>  Sun, 23 Jul 2006 19:28:51 +0200

byzanz (0.1.1-1) unstable; urgency=low

  * New upstream release

 -- Bastian Venthur <mail@venthur.de>  Fri, 14 Jul 2006 11:56:36 +0200

byzanz (0.1.0-1) unstable; urgency=low

  * Initial release Closes: #358558

 -- Bastian Venthur <mail@venthur.de>  Thu, 23 Mar 2006 08:01:33 +0100

